const _Http = getApp().globalData.http;

Page({

    /**
     * 页面的初始数据
     */
    data: {
        year: null
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            year: options.year
        })
        this.getData();
    },
    getData() {
        _Http.basic({
            "id": 20220920161302,
            "content": {
                "year": this.data.year,
                "targettype": "人员目标",
                "hrid": wx.getStorageSync('userMsg').hrid
            },
        }).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            })
            this.setData({
                person: res.data
            })
        })
    },
    /* 选择年份 */
    bindDateChange({
        detail
    }) {
        if (this.data.year == detail.value) return;
        this.setData({
            "year": detail.value
        });
        this.getData();
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})